import { Footer } from "@/components/footer";
import { Heading } from "./_components/heading";
import { AskAgentCard } from "../../_components/ask-agent-card";
import ResponseAgentCard from "../../_components/response-agent-card";

export default async function AgentResponse({
  params,
}: {
  params: Promise<{ agentId: string; responseId: string }>;
}) {
  const { agentId, responseId } = await params;

  return (
    <>
      <Heading />
      <hr className="" />
      <section>
        <div className="layout border-x px-3 sm:px-6 py-8">
          <AskAgentCard agentId={agentId} disabled={true} />
        </div>
      </section>
      <hr className="" />
      <section>
        <div className="layout border-x px-3 sm:px-6 py-8">
          <ResponseAgentCard agentResponseId={responseId} />
        </div>
      </section>
      <hr className="" />
      <Footer />
    </>
  );
}
